Show / Hide Table of Contents

# PlayerLoopHelper Class

###### Namespace: Cysharp.Threading.Tasks

###### Assembly: cs.temp.dll.dll

    public static class PlayerLoopHelper

##### Inheritance

System.Object → PlayerLoopHelper

### Members

#### Properties

Name | Description
--- | ---
MainThreadId |
UnitySynchronizationContext |

#### Methods

Name | Description
--- | ---
AddAction(PlayerLoopTiming, IPlayerLoopItem) |
AddContinuation(PlayerLoopTiming, Action) |
Initialize(ref PlayerLoopSystem) |

### Properties

#### MainThreadId

    public static int MainThreadId { get; }

##### Property Value

System.Int32

#### UnitySynchronizationContext

    public static SynchronizationContext UnitySynchronizationContext { get; }

##### Property Value

System.Threading.SynchronizationContext

### Methods

#### AddAction(PlayerLoopTiming, IPlayerLoopItem)

    public static void AddAction(PlayerLoopTiming timing, IPlayerLoopItem action)

##### Parameters

`timing` PlayerLoopTiming
`action` IPlayerLoopItem

#### AddContinuation(PlayerLoopTiming, Action)

    public static void AddContinuation(PlayerLoopTiming timing, Action continuation)

##### Parameters

`timing` PlayerLoopTiming
`continuation` Action

#### Initialize(ref PlayerLoopSystem)

    public static void Initialize(ref PlayerLoopSystem playerLoop)

##### Parameters

`playerLoop` PlayerLoopSystem